Unshare Service Instance
Unshare a service instance from another space
This endpoint unshares the service instance from the specified space. This will automatically unbind any applications bound to this service instance in the specified space. Unsharing a service instance from a space will not delete any service keys.
Request
URI
DELETE
https://api.example.local/v3/service_instances/{guid}/relationships/shared_spaces/{space_guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
string
space_guid
Required
space_guid
Responses
204
No Content
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{guid}/relationships/shared_spaces/{space_guid}
Service Instances Operations
GET
List Service Instances
POST
Create Service Instance
GET
Get Service Instance
PATCH
Update Service Instance
DELETE
Delete Service Instance
GET
List Service Instance Backups
POST
Create Service Instance Backup
POST
Restore Service Instance From Backup
GET
Get Service Instance Credentials
GET
Get Service Instance Parameters
GET
Get Service Instance Permissions
GET
List Service Instance Shared Spaces
POST
Share Service Instance
GET
Get Service Instance Usage Summary In Shared Spaces
DELETE
Unshare Service Instance